List Invoices
get
/public/v1/invoicespage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of InvoiceResource
dataobject[]required▶Show 10 child attributesHide child attributes
idstringrequiredExample:i1n2v3o4-a5b6-47c8-9d0e-1f2a3b4c5d6enumberstringrequiredExample:INV-2024-0001datestringrequiredExample:2024-01-15T00:00:00+00:00due_datestringrequiredExample:2024-02-14T00:00:00+00:00management_typeenum<string>requiredAvailable options:planselfndiaunknowntotalintegerrequiredExample:25000statusstringrequiredExample:awaiting-paymentparticipantobjectrequired▶Show 1 child attributesHide child attributes
idstringrequiredExample:i1p2a3r4-c5d6-47e8-9f0a-1b2c3d4e5f6a
plan_managerobject | nullrequired▶Show 1 child attributesHide child attributes
idstringrequiredExample:i1p2m3a4-d5e6-47f8-9a0b-1c2d3e4f5a6b
chargesobject[]required▶Show 12 child attributesHide child attributes
idstringrequiredExample:c1h2r3g4-b5c6-47d8-9e0f-1a2b3c4d5e6fdatestringrequiredExample:2024-01-15T10:30:00+00:00quantitynumber | nullrequiredExample:2.5unit_costintegerrequiredExample:5000total_costnumberrequiredExample:12500claim_typeenum<string>requiredAvailable options:CANCDirectIRSSNF2FREPWTHLTTRANcancellation_reasonenum<string> | nullrequiredAvailable options:NSDFNSDHNSDONSDTclaim_referencestring | nullrequiredExample:CLM-123456support_item_numberstringrequiredExample:07_002_0106_8_3charge_itemobject | nullrequired▶Show 4 child attributesHide child attributes
idstringrequiredExample:c1i2t3m4-e5f6-47a8-9b0c-1d2e3f4a5b6cnamestringrequiredExample:Support Coordinationreferencestring | nullrequiredExample:SUPPORT_COORD_L2numberstringrequiredExample:07_002_0106_8_3
supportobject | nullrequired▶Show 1 child attributesHide child attributes
idstringrequiredExample:s1u2p3p4-o5r6-47t8-9a0b-1c2d3e4f5a6b
shiftobject | nullrequired▶Show 1 child attributesHide child attributes
idstringrequiredExample:s1h2i3f4-t5s6-47a8-9b0c-1d2e3f4a5b6c
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error